View Issue Details

IDProjectCategoryView StatusLast Update
0002712gnunet-gtkgnunet-fs-gtkpublic2013-12-24 20:55
ReporterChristian GrothoffAssigned ToChristian Grothoff 
PriorityhighSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.10.0Fixed in Version0.10.0 
Summary0002712: status icon not properly updated after non-recursively downloading a directory
DescriptionWhen a directory was successfully downloaded non-recursively, the status icon remains on "downloading" instead of going to "downloaded". Also, the status icons for the files in the directory show as "downloading" even though their download was NOT yet initiated at all.
TagsNo tags attached.

Activities

Christian Grothoff

2012-12-20 13:38

manager   ~0006733

Or maybe the download is done recursively even if non-recursive is selected? Not sure, but when aborting *all* sub-downloads show up in the "*"-tab, so maybe what is not working is the "non-recursive" option.

Christian Grothoff

2012-12-20 13:42

manager   ~0006736

Figured out the root-cause: if I pick "download" (not "download recursively") but have "recursive" checked in the download-vbox at the bottom, then the download is started recursively anyway!

I don't think that's correct

Christian Grothoff

2013-05-30 20:40

manager   ~0007139

Magically works now.

Christian Grothoff

2013-05-30 20:41

manager   ~0007140

Must have been fixed with some patch in the meantime...

Issue History

Date Modified Username Field Change
2012-12-20 13:34 Christian Grothoff New Issue
2012-12-20 13:38 Christian Grothoff Note Added: 0006733
2012-12-20 13:42 Christian Grothoff Note Added: 0006736
2012-12-22 16:16 Christian Grothoff Target Version => 0.10.0
2013-03-27 21:07 Christian Grothoff Assigned To => Christian Grothoff
2013-03-27 21:07 Christian Grothoff Status new => assigned
2013-05-05 18:08 Christian Grothoff Priority normal => high
2013-05-30 20:40 Christian Grothoff Note Added: 0007139
2013-05-30 20:41 Christian Grothoff Note Added: 0007140
2013-05-30 20:41 Christian Grothoff Status assigned => resolved
2013-05-30 20:41 Christian Grothoff Fixed in Version => 0.10.0
2013-05-30 20:41 Christian Grothoff Resolution open => fixed
2013-12-24 20:55 Christian Grothoff Status resolved => closed